# $Revision: 1.8 $, $Date: 2002/10/17 14:13:25 $
Summary:	Text to speech system
Summary(pl):	Syntezator mowy
Name:		powiedz
Version:	0.2
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://www.linux.bielsko.pl/%{name}_%{version}.tgz
Patch0:		%{name}-rcfile.patch
Patch1:		%{name}-dsp-handle-fix.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polish text to speech system based on rsynth.

%description -l pl
Polski syntezator mowy stworzony na podstawie rsynth.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcflags} -DUSE_RC_FILE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version}}

%{__make} install PREFIX=$RPM_BUILD_ROOT%{_prefix}

tail +3 <pars.def >$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/sayrc.example
mv -f klatt_par.doc klatt_par

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PRZECZYTAJ.TO README README.linux klatt_par
%attr(755,root,root) %{_bindir}/powiedz
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: powiedz.spec,v $
Revision 1.8  2002/10/17 14:13:25  ankry
- new %%doc, moved example to %%{_examplesdir}, rel. 2

Revision 1.7  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/18 00:41:52  czarny
- fixes oss compatibile dsp handling

Revision 1.3  2001/06/28 14:20:49  kloczek
- cosmetics.

Revision 1.2  2001/06/27 16:15:11  qboosh
- added Source0 URL

Revision 1.1  2001/06/24 11:21:08  undefine
- initial RPM version. Nice speech synthetizer
